Announcement Announcement Module
Collapse
No announcement yet.
spring-amqp jar file dependencies Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • spring-amqp jar file dependencies

    Hello,
    I imported spring-amqp and spring-rabbit source code into Eclipse and noticed that there are compile dependencies to:
    • spring-retry
    • jackson-mapper-asl
    • a newer version of log4j than 1.2.14

    On the other hand, when I add the maven dependency of spring-amqp and spring-rabbit jars to my project, it doesn't pull in the above jars. So far without having spring-retry, jackson-mapper and a new log4j library, spring-amqp works fine and I haven't seen any error. I wonder if our use-cases didn't result in execution of the code which needs those dependencies.

    Could you confirm this?

    Thanks,

  • #2
    Yes; they are optional deps.

    Of course, you will need them if you use the features that use them, such as the retry interceptors, json converters etc.

    Comment

    Working...
    X